Page MenuHomePhabricator

ArticlePlaceholder should use the SidebarBeforeOutput hook
Closed, ResolvedPublic

Description

This extension seems to be deployed on production and is using BaseTemplateToolbox hook

SidebarBeforeOutput should be used instead to add sidebar items.

Event Timeline

Ammarpad created this task.Jun 5 2020, 11:13 AM
Restricted Application added a project: Wikidata. · View Herald TranscriptJun 5 2020, 11:13 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Jdlrobson triaged this task as High priority.Jun 5 2020, 8:50 PM

Change 603168 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/extensions/ArticlePlaceholder@master] WIP: Use SidebarBeforeOutput hook to add items to sidebar toolbox

https://gerrit.wikimedia.org/r/603168

Ammarpad claimed this task.Jun 8 2020, 6:21 AM
Maintenance_bot moved this task from incoming to in progress on the Wikidata board.Jun 9 2020, 5:15 PM

Change 603168 merged by jenkins-bot:
[mediawiki/extensions/ArticlePlaceholder@master] Use SidebarBeforeOutput hook to add items to sidebar toolbox

https://gerrit.wikimedia.org/r/603168

Jdlrobson closed this task as Resolved.Jun 10 2020, 11:59 PM
Jdlrobson added a subscriber: Jdlrobson.

THANK YOU!